#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : 
#	label 3 is SCALER ("SCALER_MEAS")
#	labels 11 and 12 are ELECTROMETER
#	labels 13 and 14 are HIGH VOLTAGE ("HV")
#       label 1003 is counter ("SCALER_COUNT")
#

echo "-------------------------------------------------------------------"

faster_disfast dosion_data_0001.fast -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 10kHz
#     => 0.0001s delay
#     => processus in background (&)
#

faster_file2rhb  dosion_data_0001.fast 0.0001 &


###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc           ->  RHB default behaviours
#      DOSION.pid       ->  faster data declaration
#      DOSION.facqConf  ->  histograms declaration
#      DOSION.rhvConf   ->  visualisation configuration
#

RHB  -r









###############################################################

pkill faster_file2rhb



